Burn Token
curl --request POST \
--url https://dev.api.withconvexity.com/v1/tokens/burn \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tokenId": "019edea4-e84d-722d-94ec-cb0fd331693d",
"chain": "BASE",
"fromAddress": "0x19F538a73e26F90cd8F76fb362B909B169df4E44",
"amount": 50,
"memo": "Investor exit"
}
'import requests
url = "https://dev.api.withconvexity.com/v1/tokens/burn"
payload = {
"tokenId": "019edea4-e84d-722d-94ec-cb0fd331693d",
"chain": "BASE",
"fromAddress": "0x19F538a73e26F90cd8F76fb362B909B169df4E44",
"amount": 50,
"memo": "Investor exit"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tokenId: '019edea4-e84d-722d-94ec-cb0fd331693d',
chain: 'BASE',
fromAddress: '0x19F538a73e26F90cd8F76fb362B909B169df4E44',
amount: 50,
memo: 'Investor exit'
})
};
fetch('https://dev.api.withconvexity.com/v1/tokens/burn', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": true,
"message": "Token burned successfully",
"data": {
"operationRef": "burn_6734f2528ba9bce9ff246775137d3b8d",
"transactionId": "019edeb3-55c4-770e-9dbc-d1c61fb90bc1",
"txHash": "0xd4282642582ef0c458d78ca21891b11742b4c6483c1acf949584265e200ae7fb"
}
}Tokenization
Burn Token
Burns units of a token from a holder address.
POST
/
v1
/
tokens
/
burn
Burn Token
curl --request POST \
--url https://dev.api.withconvexity.com/v1/tokens/burn \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tokenId": "019edea4-e84d-722d-94ec-cb0fd331693d",
"chain": "BASE",
"fromAddress": "0x19F538a73e26F90cd8F76fb362B909B169df4E44",
"amount": 50,
"memo": "Investor exit"
}
'import requests
url = "https://dev.api.withconvexity.com/v1/tokens/burn"
payload = {
"tokenId": "019edea4-e84d-722d-94ec-cb0fd331693d",
"chain": "BASE",
"fromAddress": "0x19F538a73e26F90cd8F76fb362B909B169df4E44",
"amount": 50,
"memo": "Investor exit"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tokenId: '019edea4-e84d-722d-94ec-cb0fd331693d',
chain: 'BASE',
fromAddress: '0x19F538a73e26F90cd8F76fb362B909B169df4E44',
amount: 50,
memo: 'Investor exit'
})
};
fetch('https://dev.api.withconvexity.com/v1/tokens/burn', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": true,
"message": "Token burned successfully",
"data": {
"operationRef": "burn_6734f2528ba9bce9ff246775137d3b8d",
"transactionId": "019edeb3-55c4-770e-9dbc-d1c61fb90bc1",
"txHash": "0xd4282642582ef0c458d78ca21891b11742b4c6483c1acf949584265e200ae7fb"
}
}Authorizations
OAuth 2.0 access token from Auth-Edge.
Body
application/json
Response
200 - application/json
OK
The response is of type object.
